Jump to content

pendean

Members
  • Content count

    132
  • Joined

  • Last visited

Community Reputation

10 Good

About pendean

  • Rank
    Rising Star

Personal Information

  • Real Name
    Dean Saadallah
  • Biography
    AutoCAD, LT and ACA User since R9.0 on DOS 3.3
  • Location
    Texas

My Work

  • Discipline
    Architectural

My Software

  • Main CAD Product
    AutoCAD
  • Current Product Version
    2018
  • First AutoCAD Version
    AutoCAD R9
  • Other Applications
    Lots

My Computer

  • Operating System
    Windows 10 64it Pro
  • Computer
    Lenovo WorkStation
  1. http://www.longbowsoftware.com have free tips to try, but if they do not work, you can purchase their fix for your old software in Win10.
  2. AutoCAD is a single core application: Xeons are for applications that you use just as heavily like Photoshop and 3DSMax.
  3. pendean

    cant flatten a drawing

    Are you still on AutoCAD 2010? Simply start PROPERTIES, select everything on screen, sort by object type in the pulldown and set any/all Z settings to 0 (that's a zero). Should take about 3-minutes max to fix your Z=something problem entities.
  4. pendean

    cant flatten a drawing

    Use this lisp, it worked on your file just fine to move all of your errant objects back to Z=0. ; FLATTEN3 flattens entities onto the Z=0 X-Y plane in AutoCAD's World Coordinate System (WCS). (defun C:FLATTEN3 (/ olderr oldcmd ss1 ss1len i numchg numnot numno0 ssno0 ename elist etype yorn) ;*error handler (setq olderr *error*) (defun *error* (msg) (if (= msg "quit / exit abort") (princ) (princ (strcat "error: " msg)) ) (setq *error* olderr) (command "._UCS" "_Restore" "$FLATTEN-TEMP$" "._UCS" "_Delete" "$FLATTEN-TEMP$") (command "._UNDO" "_End") (setvar "CMDECHO" oldcmd) (princ) ) ;*setup (setq oldcmd (getvar "CMDECHO")) (setvar "CMDECHO" 0) (command "._UNDO" "_Group") (command "._UCS" "_Save" "$FLATTEN-TEMP$" "._UCS" "World") ;set World UCS ;*get input (prompt (strcat "\nFLATTEN sets the Z coordinates of lines, polylines, circles, arcs," "\ntext, dimensions, block inserts, points, hatches, and solids to zero." )) (initget "Yes No") (setq yorn (getkword "\nDo you want to continue <Y>: ")) (cond ((/= yorn "No") (graphscr) (prompt "\nChoose entities to FLATTEN ") (prompt "[press return to select all entities in the drawing]") (setq ss1 (ssget)) (if (null ss1) ;if enter... (setq ss1 (ssget "X")) ;select all entities in database ) ;*initialize variables (setq ss1len (sslength ss1) ;length of selection set i 0 ;loop counter numchg 0 ;number changed counter numnot 0 ;number not changed counter numno0 0 ;number not changed and Z /= 0 counter ssno0 (ssadd) ;selection set of unchanged entities );setq ;*do the work (prompt "\nWorking.") (while (< i ss1len) ;while more members in the SS (if (= 0 (rem i 10)) (prompt ".")) (setq ename (ssname ss1 i) ;entity name elist (entget ename) ;entity data list etype (cdr (assoc 0 elist)) ;entity type ) ;*Keep track of entities not flattened (if (not (member etype '("LINE" "POLYLINE" "TEXT" "INSERT" "CIRCLE" "ARC" "POINT" "SOLID" "DIMENSION" "LWPOLYLINE" "HATCH" "MTEXT"))) (progn ;leave others alone (setq numnot (1+ numnot)) (if (/= 0.0 (car (reverse (assoc 10 elist)))) (progn ;add it to special list if Z /= 0 (setq numno0 (1+ numno0)) (ssadd ename ssno0) ) ) ) ) ;*change group 10 Z coordinate to 0 for listed entity types (if (member etype '("LINE" "POLYLINE" "TEXT" "INSERT" "CIRCLE" "ARC" "POINT" "SOLID" "DIMENSION" "HATCH" "MTEXT")) (setq elist (zeroz 10 elist) ;change entities in list above numchg (1+ numchg) ) ) ;*change group 11 Z coordinate to 0 for LINEs, TEXT, and SOLIDs (if (member etype '("LINE" "TEXT" "SOLID" "DIMENSION")) (setq elist (zeroz 11 elist)) ) ;*change groups 12 and 13 Z coordinate to 0 for SOLIDs (if (member etype '("SOLID")) (progn (setq elist (zeroz 12 elist)) (setq elist (zeroz 13 elist)) ) ) ;*change groups 13, 14, 15, and 16 Z coordinate to 0 for DIMENSIONs (if (member etype '("DIMENSION")) (progn (setq elist (zeroz 13 elist)) (setq elist (zeroz 14 elist)) (setq elist (zeroz 15 elist)) (setq elist (zeroz 16 elist)) ) ) ;*special handling for R14 LWPOLYLINEs (if (member etype '("LWPOLYLINE")) (progn (setq elist (subst (cons 38 0.0) (assoc 38 elist) elist) numchg (1+ numchg) ) (entmod elist) ) ) (setq i (1+ i)) ;next entity );while (prompt " Done.") ;*print results (prompt (strcat "\n" (itoa numchg) " entity(s) flattened")) (prompt (strcat "\n" (itoa numnot) " entity(s) not flattened")) (if (/= 0 numno0) ;if there any entities in ssno0, show them (progn (prompt (strcat " [" (itoa numno0) " with non-zero base points]")) (getstring "\nPress enter to see non-zero unchanged entities... ") (command "._SELECT" ssno0) (getstring "\nPress enter to unhighlight them... ") (command "") ) ) )) (command "._UCS" "_Restore" "$FLATTEN-TEMP$" "._UCS" "_Delete" "$FLATTEN-TEMP$") (command "._UNDO" "_End") (setvar "CMDECHO" oldcmd) (setq *error* olderr) (princ) ) ;*function to change Z coordinate to 0 (defun zeroz (key zelist / oplist nplist) (setq oplist (assoc key zelist) nplist (reverse (append '(0.0) (cdr (reverse oplist)))) zelist (subst nplist oplist zelist) ) (entmod zelist) ) (princ);end
  5. Not independently from your dynblock's annotative abilities, no: you will need to include sizes to manually adjust (PS use a DONUT object if you want a "dot" that sizes up and down).
  6. If I take a door off your container then RENDER, it shows there is no light inside the container judging by all the shadows.
  7. Looks like you removed the file...
  8. use a web service like DropBox or Google Drive or One Drive to share large files here.
  9. Are you still using R2011? Did you recently upgrade to WIndows10?
  10. Go beyond the core commands then: how about posting in the LISP forum for help writing a LISP that mirrors them fixes your block for the -1 setting, or are you stuck using LT by chance?
  11. pendean

    scaling text and objects question

    Would simply using annotative blocks/text be another solution to this need?
  12. pendean

    AutoCAD on Apple Macbook

    AutoCAD for MAC is basically LT with LISP, for the full price of AutoCAD for Windows. Not exactly a wise expenditure, but neither is Apple hardware. This may be all the OP needs, it is good enough for the majority of users on a MAC.
  13. Share your DWG file here with the problem zoomed in view please.
  14. What are your settings for the following variables: LTSCALE MSLTSCALE CELTSCALE
  15. AutoCAD has always done that when you mirror blocks: looks like you simply want to move the block instead of mirroring. Or stop using TEXT inside blocks and use ATTRIBUTE type text objects instead; these will mirror an correct themselves.
×